# RecipientsApi

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getRecipients**](RecipientsApi.md#getRecipients) | **GET** /recipients | /recipients

<a name="getRecipients"></a>
# **getRecipients**
> Recipients getRecipients(objectLimit, objectOffset, filterJobId, filterSameAccount, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder)

/recipients

Description: To obtain a list of recipients

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.RecipientsApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: ApiAuthKey
ApiKeyAuth ApiAuthKey = (ApiKeyAuth) defaultClient.getAuthentication("ApiAuthKey");
ApiAuthKey.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//ApiAuthKey.setApiKeyPrefix("Token");

RecipientsApi apiInstance = new RecipientsApi();
Integer objectLimit = 100; // Integer | Query parameter to change de default limitation of objects in the result data array
Integer objectOffset = 0; // Integer | Query parameter to change de default offset of objects in the result data array
String filterJobId = "filterJobId_example"; // String | Query parameter to fetch after recipient related to specific fax job
Boolean filterSameAccount = false; // Boolean | Query parameter to fetch recipient related to jobs linked to the used token/key for authorization
String filterFaxNumber = "filterFaxNumber_example"; // String | Query parameter to fetch recipients after his fax number
String filterFaxNumberNorm = "filterFaxNumberNorm_example"; // String | Query parameter to fetch recipients after his normed fax number
String filterRecipientReference = "filterRecipientReference_example"; // String | Query parameter to fetch recipients after his recipient reference
String filterInternationalDialingCode = "filterInternationalDialingCode_example"; // String | Query parameter to fetch recipients after his international dialing code
String filterResultCode = "filterResultCode_example"; // String | Query parameter to fetch recipients after his result code
String filterResultText = "filterResultText_example"; // String | Query parameter to fetch recipients after his result text
String sortField = "sortField_example"; // String | Available sort options for the result data array.
String sortOrder = "asc"; // String | Describes the order for used sort fields
try {
    Recipients result = apiInstance.getRecipients(objectLimit, objectOffset, filterJobId, filterSameAccount, filterFaxNumber, filterFaxNumberNorm, filterRecipientReference, filterInternationalDialingCode, filterResultCode, filterResultText, sortField, sortOrder);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling RecipientsApi#getRecipients");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **Integer**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100] [enum: ]
 **objectOffset** | **Integer**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0] [enum: ]
 **filterJobId** | **String**| Query parameter to fetch after recipient related to specific fax job | [optional]
 **filterSameAccount** | **Boolean**| Query parameter to fetch recipient related to jobs linked to the used token/key for authorization | [optional] [default to false]
 **filterFaxNumber** | **String**| Query parameter to fetch recipients after his fax number | [optional]
 **filterFaxNumberNorm** | **String**| Query parameter to fetch recipients after his normed fax number | [optional]
 **filterRecipientReference** | **String**| Query parameter to fetch recipients after his recipient reference | [optional]
 **filterInternationalDialingCode** | **String**| Query parameter to fetch recipients after his international dialing code | [optional]
 **filterResultCode** | **String**| Query parameter to fetch recipients after his result code | [optional]
 **filterResultText** | **String**| Query parameter to fetch recipients after his result text | [optional]
 **sortField** | **String**| Available sort options for the result data array. | [optional] [enum: jobId, faxNumber, faxNumberNorm, internationalDialingCode, recipientReference, fareZone, senderTime]
 **sortOrder** | **String**| Describes the order for used sort fields | [optional] [default to asc] [enum: asc, desc]

### Return type

[**Recipients**](Recipients.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

